%define name	perl-asterisk-perl
%define rname	asterisk-perl
%define version 0.08
%define release 1mdk

Summary:	Asterisk modules for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://asterisk.gnuinter.net/
Source0:	http://asterisk.gnuinter.net/files/%{rname}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
perl-%{name} are modules for interfacing with the Asterisk open
source pbx system.

%prep

%setup -q -n %{rname}-%{version}

chmod 644 examples/*

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Dec 26 2004 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.08-1mdk
- initial mandrake package
